2

I'm trying to implement a full screen bootstrap carousel base on this tutorial. He mention to use the jQuery version 1.11.1. And I was wondering what is the best way to upgrade to this version. I'm currently using the jquery_update module but this module does not have the ability to upgrade to jQuery version 1.11.1.

I believe that I can use the CDN by pasting the below code in the my page template.

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>

But I'm looking for the best practice to insert this jQuery version 1.11.1 on my Drupal site ?

In 2012 a similar question was ask "How do I update jQuery to the latest version I can download?" and one of the solution was to use the module [jQuery Multi] to have different version of jQuery.4

Anyway what it the best method to update jQuery v1.11.1 ?

| improve this question | | | | |
3

The easy way is to use install jQuery Update module, which gives you the option to use new version of jQuery.

  • Download the jQuery Update mobile and extract it into sites/all/modules
  • Go to modules and enable the jQuery Update model
  • Visit http://mysite/admin/config/development/jquery_update to select which version would you like to use

You can also use jQuery Multi module to update the jQuery module, the installation process is same as jQuery Update.

| improve this answer | | | | |
4

Use the module Jquery Update:

Upgrades the version of jQuery in Drupal core to a newer version of jQuery.

For 1.11, I believe you will need to use the DEV version, and take a look at this item in the Issue Queue for updating to that version.

| improve this answer | | | | |
  • 1
    I think you answer is better because question is about how use jquery 1.11, vote up – Yusef Sep 20 '15 at 13:08

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.